import '@material/web/icon/icon.js';
import '@material/web/button/text-button.js';
import '@operato/process/ox-process-viewer.js';
import './things-scene-components.import';
import '../viewpart/process-report';
import '../viewpart/equipment-evaluator';
import '../viewpart/stream-info';
import { PropertyValues } from 'lit';
import { Model } from '@hatiolab/things-scene';
import { OxProcessViewer } from '@operato/process/ox-process-viewer.js';
import { PageView } from '@operato/shell';
declare const ProcessViewerPage_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & typeof PageView;
export declare class ProcessViewerPage extends ProcessViewerPage_base {
    static styles: import("lit").CSSResult[];
    _process: Model | null;
    _processId: string;
    _baseUrl: string;
    _showSpinner: boolean;
    processViewer?: OxProcessViewer;
    private showStreamEventHandler;
    get oopsNote(): {
        icon: string;
        title: string;
        description: string;
        click: () => void;
    };
    get context(): {
        title: any;
    };
    equipmentEvaluatorListener: (e: Event) => void;
    connectedCallback(): void;
    disconnectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    updated(changes: PropertyValues<this>): void;
    pageUpdated(changes: any, lifecycle: any): void;
    stateChanged(state: any): void;
    fetchProcess(processId: string): Promise<any>;
    refresh(): Promise<void>;
    onProcessRun(): Promise<void>;
    onShowReport(): Promise<void>;
    private popup?;
    showStreamInfo(e: Event): void;
    hidePopup(): void;
}
export {};
